# $Revision: 1.12 $, $Date: 2009/10/26 14:45:12 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Carp
%define		pnam	Clan
Summary:	Carp::Clan - report errors from perspective of caller of a "clan" of modules
Summary(pl.UTF-8):	Carp::Clan - zgłaszanie błędów z perspektywy wywołującego "klan" modułów
Name:		perl-Carp-Clan
Version:	6.04
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Carp/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b6316bc51bb530d994f2784615939fb2
URL:		http://search.cpan.org/dist/Carp-Clan/
BuildRequires:	perl-devel >= 1:5.8.0
%{?with_tests:BuildRequires:	perl-Test-Simple >= 0.40}
BuildRequires:	rpm-perlprov >= 4.1-13
Conflicts:	perl-Bit-Vector < 6.4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module reports errors from the perspective of the caller of a
"clan" of modules, similar to "Carp.pm" itself.

%description -l pl.UTF-8
Moduł zgłasza błędy z perspektywy wykonywującego moduł, podobnie jak
Carp.pm.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/Carp/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Carp-Clan.spec,v $
Revision 1.12  2009/10/26 14:45:12  amateja
- updated to 6.04

Revision 1.11  2008/04/05 17:44:02  qboosh
- unified

Revision 1.10  2008-04-02 08:20:17  arekm
- up to 6.00

Revision 1.9  2007/02/13 07:16:53  glen
- tabs in preamble

Revision 1.8  2007/02/12 00:49:23  baggins
- converted to UTF-8

Revision 1.7  2005/05/08 19:58:27  pluto
- release 3 for Th.

Revision 1.6  2004/11/03 22:30:09  paladine
- formatting

Revision 1.5  2004/11/02 04:03:46  ankry
- rel. 2

Revision 1.4  2004/11/01 23:31:12  qboosh
- added docs, Conflicts: perl-Bit-Vector < 6.4 (which included Carp::Clan)

Revision 1.3  2004/10/15 23:05:14  qboosh
- URL

Revision 1.2  2004/10/15 23:04:32  qboosh
- summaries

Revision 1.1  2004/10/09 23:25:13  undefine
- initital pld version
